/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.sensor;

import java.util.concurrent.Callable;
import java.util.logging.Logger;
import nl.cloudfarming.client.geoviewer.Grid;
import org.geotools.coverage.grid.GridCoverage2D;

/**
 * Grid for sensor files
 *
 * @author Merijn Zengers
 */
public class SensorGrid extends Grid {

    private final SensorProcessor processor;
    private static final Logger LOGGER = Logger.getLogger("nl.cloudfarming.client.sensor.SensorGrid");

    public SensorGrid(final SensorProcessor processor) {
        super(new Callable<GridCoverage2D>() {

            @Override
            public GridCoverage2D call() throws Exception {
                return RasterFactory.createRaster(processor.process());
            }
        });
        this.processor = processor;
    }

    @Override
    public String getTooltipText() {
        return "";
    }

    @Override
    public long getId() {
        return 1l;
    }
}